com.impinj.octane

## Enum QtAccessRange

- java.lang.Object
- - java.lang.Enum<QtAccessRange>
  - - com.impinj.octane.QtAccessRange

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<QtAccessRange>

      public enum QtAccessRange
      extends java.lang.Enum<QtAccessRange>

  Enumeration used to determine whether to configure the tag in reduced sensitivity (i.e. Short Range) mode, or not.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NormalRange` Normal-Range tells tag to use normal sensitivity.
    `ShortRange` Short-Range tells tag to reduce sensitivity, adding a layer of physical security by preventing readers farther than roughly one meter from the tag from switching the tag from Public to Private (or vice versa).
    `Unknown` Leave tag access range as-is.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static QtAccessRange` | `valueOf(int qtAccessRangeValue)`
    `static QtAccessRange` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static QtAccessRange[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Unknown

          public static final QtAccessRange Unknown

      Leave tag access range as-is.

    - #### NormalRange

          public static final QtAccessRange NormalRange

      Normal-Range tells tag to use normal sensitivity.

    - #### ShortRange

          public static final QtAccessRange ShortRange

      Short-Range tells tag to reduce sensitivity, adding a layer of physical security by preventing readers farther than roughly one meter from the tag from switching the tag from Public to Private (or vice versa).

  - ### Method Detail

    - #### values

          public static QtAccessRange[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (QtAccessRange c : QtAccessRange.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static QtAccessRange valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static QtAccessRange valueOf(int qtAccessRangeValue)

      Parameters:
        `qtAccessRangeValue` - integer value
      Returns:
        the enumeration object associated with the integer value

    - #### getValue

          public int getValue()

      Returns:
        the integer value of the enumeration object